# Created by pyp2rpm-3.3.3
%global pypi_name ruamel.yaml.clib

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 2
Summary:        C version of reader, parser and emitter for ruamel
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/ruamel/yaml.clib
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This package was split of from ruamel.yaml, so that ruamel.yaml can be build as
a universal wheel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package was split of from ruamel.yaml, so that ruamel.yaml can be build as
a universal wheel.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install -- --single-version-externally-managed

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/ruamel/yaml/clib/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/_ruamel_yaml.cpython-*.so


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.2-2.mga8
+ Revision: 1531805
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 0.1.2-1.mga8
+ Revision: 1440960
- imported package python-ruamel.yaml.clib

